#pragma once

struct PakNode;

struct PakDir : public std::map<std::string, PakNode> {
	using std::map<std::string, PakNode>::map;
};
Q_DECLARE_METATYPE(PakDir)

struct PakFile : public QByteArray {
	using QByteArray::QByteArray;
};
Q_DECLARE_METATYPE(PakFile)

struct PakNode : public std::variant<PakDir, PakFile> {
	using std::variant<PakDir, PakFile>::variant;
};
Q_DECLARE_METATYPE(PakNode)

PakDir readPak(std::istream &st);

// EOF
